---------------------
PatchSet 10854 
Date: 2007/06/19 20:58:26
Author: rousskov
Branch: HEAD
Tag: (none) 
Log:
Do not retry server transactions aborted due to request body supply
failures because the problem is not with the server and will not go away
if FwdState tries again.

Merged from the squid3-icap branch.

Members: 
	src/Server.cc:1.11->1.12 

Index: squid3/src/Server.cc
===================================================================
RCS file: /cvsroot/squid/squid3/src/Server.cc,v
retrieving revision 1.11
retrieving revision 1.12
diff -u -r1.11 -r1.12
--- squid3/src/Server.cc	8 May 2007 16:45:00 -0000	1.11
+++ squid3/src/Server.cc	19 Jun 2007 20:58:26 -0000	1.12
@@ -1,5 +1,5 @@
 /*
- * $Id: Server.cc,v 1.11 2007/05/08 16:45:00 rousskov Exp $
+ * $Id: Server.cc,v 1.12 2007/06/19 20:58:26 rousskov Exp $
  *
  * DEBUG:
  * AUTHOR: Duane Wessels
@@ -213,6 +213,7 @@
     if (requestSender != NULL)
         debugs(9,3, HERE << "fyi: request body aborted while we were sending");
 
+    fwd->dontRetry(true); // the problem is not with the server
     stopConsumingFrom(requestBodySource); // requestSender, if any, will notice
 
     // kids extend this
